<?php

namespace YooMoney\Helpers\OauthHelpers;

interface YookassaShopInfoHelperInterface
{
    /**
     * Подключение и получение информации о магазине
     * @return array
     */
    public function fetchShopInfo();

    /**
     * Получение account_id
     * @param string $token
     * @return string
     */
    public function fetchShopIdWithGivenToken($token);
}